Skip to main content
PATCH
Patch item
This PATCH operation is an alternative item-update route. The SDK patchItem helpers use POST Update item. Use the NSL integer item ID and provide only fields you intend to change. For temporary unavailability, set active to false instead of deleting the item.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

item_id
integer
required

NSL-generated integer item ID.

Required range: x >= 1

Body

application/json

Partial item update. At least one field must be supplied.

name
string
Minimum string length: 1
description
string
metadata
object

Arbitrary JSON object used for filtering, ranking, and debugging.

Example:
active
boolean

Whether the item is eligible for recommendations.

Response

Updated item

id
integer
required
Required range: x >= 1
Example:

3187

object
enum<string>
required
Available options:
item
name
string
required
Example:

"Wireless Headphones"

description
string
required
Example:

"Noise-cancelling Bluetooth headphones."

metadata
object
required

Arbitrary JSON object used for filtering, ranking, and debugging.

Example:
active
boolean
required
Example:

true

created
integer<int64> | null
required

Unix timestamp in seconds.

Example:

1777478400

updated_at
integer<int64> | null
required

Unix timestamp in seconds.

Example:

1777478500